MSKGraphInternal::Zone Struct Reference

Internal: the generic pict. More...

Inheritance diagram for MSKGraphInternal::Zone:

## Public Types

enum | Type { Unknown, Basic, Group, Pict, Text, Textv4, Bitmap, TableZone, OLE }

## Public Member Functions

| Zone ()
| constructor More...
virtual | ~Zone ()
| destructor More...
virtual Type | type () const
| return the type More...
virtual bool | getBinaryData (MWAWInputStreamPtr, WPXBinaryData &res, std::string &pictType) const
| return a binary data (if known) More...
virtual float | needExtraBorderWidth () const
| return the extra border space ( if needed) More...
virtual void | fillFramePropertyList (WPXPropertyList &) const
| add frame parameters to propList (if needed ) More...
Box2f | getLocalBox () const
| return the box More...
MWAWPosition | getPosition (MWAWPosition::AnchorTo rel) const
virtual void | print (std::ostream &o) const
| the virtual print function More...

## Public Attributes

int | m_subType
| the type More...
int | m_zoneId
| the zone id More...
MWAWEntry | m_pos
| the file position More...
long | m_dataPos
| the data begin position More...
int | m_fileId
| the file id More...
long | m_ids [3]
| the zones id (main, previous, next) More...
int | m_page
| the page More...
Vec2f | m_decal
| the local position More...
Box2f | m_box
| local bdbox More...
int | m_line
| the line position(v1) More...
int | m_lineType
| the line type (v2) : 0= dotted, 1=half, 2=1, 3=2pt?, 4:4pt More...
int | m_lineWidth
| the line width (v3, ...) More...
MWAWColor | m_lineColor
| the line color More...
Pattern | m_linePattern
| the line pattern More...
int | m_lineFlags
| the line flag More...
MWAWColor | m_surfaceColor
| the 2D surface color More...
Pattern | m_surfacePattern
| the line pattern More...
int | m_order
| the picture order More...
std::string | m_extra
| extra data More...
bool | m_isSent
| true if the zone is send More...

## Friends

std::ostream & | operator<< (std::ostream &o, Zone const &pict)
| operator<< More...

## Detailed Description

Internal: the generic pict.

## Member Enumeration Documentation

enum MSKGraphInternal::Zone::Type

Enumerator
Unknown |
Basic |
Group |
Pict |
Text |
Textv4 |
Bitmap |
TableZone |
OLE |

## Constructor & Destructor Documentation

MSKGraphInternal::Zone::Zone | ( |  | ) |

inline

constructor

virtual MSKGraphInternal::Zone::~Zone | ( |  | ) |

inline virtual

destructor

## Member Function Documentation

virtual void MSKGraphInternal::Zone::fillFramePropertyList | ( | WPXPropertyList & |  | ) | const

inline virtual

add frame parameters to propList (if needed )

Reimplemented in MSKGraphInternal::TextBoxv4, and MSKGraphInternal::TextBox.

virtual bool MSKGraphInternal::Zone::getBinaryData | ( | MWAWInputStreamPtr | ,
|  | WPXBinaryData & | res,
|  | std::string & | pictType
| ) |  | const

inline virtual

return a binary data (if known)

Reimplemented in MSKGraphInternal::DataPict, and MSKGraphInternal::BasicForm.

Box2f MSKGraphInternal::Zone::getLocalBox | ( |  | ) | const

inline

return the box

Referenced by getPosition().

MWAWPosition MSKGraphInternal::Zone::getPosition | ( | MWAWPosition::AnchorTo | rel | ) | const

inline

virtual float MSKGraphInternal::Zone::needExtraBorderWidth | ( |  | ) | const

inline virtual

return the extra border space ( if needed)

Reimplemented in MSKGraphInternal::BasicForm.

Referenced by getLocalBox().

void MSKGraphInternal::Zone::print | ( | std::ostream & | o | ) | const

virtual

the virtual print function

Reimplemented in MSKGraphInternal::TextBoxv4, MSKGraphInternal::OLEZone, MSKGraphInternal::TextBox, MSKGraphInternal::Table, MSKGraphInternal::DataBitmap, MSKGraphInternal::DataPict, MSKGraphInternal::BasicForm, and MSKGraphInternal::GroupZone.

Referenced by MSKGraphInternal::GroupZone::print(), MSKGraphInternal::BasicForm::print(), MSKGraphInternal::DataPict::print(), MSKGraphInternal::DataBitmap::print(), MSKGraphInternal::Table::print(), MSKGraphInternal::TextBox::print(), MSKGraphInternal::OLEZone::print(), and MSKGraphInternal::TextBoxv4::print().

virtual Type MSKGraphInternal::Zone::type | ( |  | ) | const

inline virtual

return the type

Reimplemented in MSKGraphInternal::TextBoxv4, MSKGraphInternal::OLEZone, MSKGraphInternal::TextBox, MSKGraphInternal::Table, MSKGraphInternal::DataBitmap, MSKGraphInternal::DataPict, MSKGraphInternal::BasicForm, and MSKGraphInternal::GroupZone.

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | Zone const & | pict
| ) |  |

friend

operator<<

## Member Data Documentation

Box2f MSKGraphInternal::Zone::m_box

local bdbox

Referenced by MSKGraphInternal::BasicForm::getBinaryData(), MSKGraph::getEntryPicture(), getLocalBox(), print(), and MSKGraph::readPictHeader().

long MSKGraphInternal::Zone::m_dataPos

the data begin position

Referenced by MSKGraphInternal::DataPict::getBinaryData(), MSKGraph::getEntryPicture(), MSKGraph::readChart(), MSKGraph::readGroup(), MSKGraph::readPictHeader(), MSKGraph::readPictureV4(), and MSKGraph::send().

Vec2f MSKGraphInternal::Zone::m_decal

the local position

Referenced by getPosition(), print(), and MSKGraph::readPictHeader().

std::string MSKGraphInternal::Zone::m_extra

extra data

Referenced by print(), and MSKGraph::readPictHeader().

int MSKGraphInternal::Zone::m_fileId

the file id

Referenced by print(), and MSKGraph::readChart().

long MSKGraphInternal::Zone::m_ids[3]

the zones id (main, previous, next)

Referenced by MSKGraph::getEntryPicture(), print(), MSKGraph::readPictHeader(), and Zone().

bool MSKGraphInternal::Zone::m_isSent

true if the zone is send

int MSKGraphInternal::Zone::m_line

the line position(v1)

Referenced by print().

MWAWColor MSKGraphInternal::Zone::m_lineColor

the line color

Referenced by MSKGraphInternal::BasicForm::getBinaryData(), print(), and MSKGraph::readPictHeader().

int MSKGraphInternal::Zone::m_lineFlags

the line flag

Referenced by MSKGraphInternal::BasicForm::getBinaryData(), print(), and MSKGraph::readPictHeader().

Pattern MSKGraphInternal::Zone::m_linePattern

the line pattern

Referenced by MSKGraphInternal::BasicForm::getBinaryData(), print(), and MSKGraph::readPictHeader().

int MSKGraphInternal::Zone::m_lineType

the line type (v2) : 0= dotted, 1=half, 2=1, 3=2pt?, 4:4pt

Referenced by MSKGraphInternal::BasicForm::getBinaryData(), MSKGraphInternal::BasicForm::needExtraBorderWidth(), print(), and MSKGraph::readPictHeader().

int MSKGraphInternal::Zone::m_lineWidth

the line width (v3, ...)

Referenced by MSKGraphInternal::BasicForm::getBinaryData(), MSKGraphInternal::BasicForm::needExtraBorderWidth(), print(), and MSKGraph::readPictHeader().

int MSKGraphInternal::Zone::m_order

the picture order

Referenced by getPosition(), and MSKGraph::readChart().

int MSKGraphInternal::Zone::m_page

the page

Referenced by getPosition(), print(), MSKGraph::readPictHeader(), and MSKGraph::readPictureV4().

MWAWEntry MSKGraphInternal::Zone::m_pos

the file position

Referenced by MSKGraphInternal::DataPict::getBinaryData(), MSKGraphInternal::Table::getCell(), MSKGraph::getEntryPicture(), MSKGraph::readChart(), MSKGraph::readGroup(), MSKGraph::readPictureV4(), and MSKGraph::send().

int MSKGraphInternal::Zone::m_subType

the type

Referenced by MSKGraphInternal::BasicForm::getBinaryData(), MSKGraph::getEntryPicture(), print(), MSKGraphInternal::BasicForm::print(), and MSKGraph::readPictHeader().

MWAWColor MSKGraphInternal::Zone::m_surfaceColor

the 2D surface color

Referenced by MSKGraphInternal::TextBox::fillFramePropertyList(), MSKGraphInternal::TextBoxv4::fillFramePropertyList(), MSKGraphInternal::BasicForm::getBinaryData(), print(), MSKGraph::readPictHeader(), and MSKGraph::sendTable().

Pattern MSKGraphInternal::Zone::m_surfacePattern

the line pattern

Referenced by MSKGraphInternal::BasicForm::getBinaryData(), print(), and MSKGraph::readPictHeader().

int MSKGraphInternal::Zone::m_zoneId

the zone id

Referenced by MSKGraph::getEntryPicture(), print(), MSKGraph::readChart(), MSKGraph::readGroup(), and MSKGraph::readPictureV4().

The documentation for this struct was generated from the following file:

- MSKGraph.cxx